Manual inheritance and membership

Classes | Functions
manual.c File Reference

## Classes
struct | Object
| Object type. More...
struct | Vehicle
| Vehicle type. More...
struct | Car
| Car type. More...
struct | Truck
| Truck type. More...

## Functions
int | main (void)

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Main function.

Ref vehicleStart(), objRef(), objUnref().

References Vehicle::vehicleStart().

83 {
84 Car c;
85 vehicleStart((Vehicle*) &c);
86 }
Vehicle
Vehicle type.
Definition: manual.c:37
Car
Car type.
Definition: manual.c:61
Vehicle::vehicleStart
void vehicleStart(Vehicle *obj)